APACHE2 re-build

Discussion in 'General' started by mphayesuk, Jan 31, 2006.

  1. mphayesuk

    mphayesuk New Member

    Ok I need to rebuild apache 2 so that the web dir = /home/www

    So I have downloaded the rpm
    installed it using rpm -ivh apache2......
    Changed the spec file to include the new dir
    now when I come to rebuild using rpmbuild -ba apache2.....
    I get this

    error: Failed build dependencies:
    bison is needed by apache2-2.0.54-10.2
    cvs is needed by apache2-2.0.54-10.2
    gdbm-devel is needed by apache2-2.0.54-10.2
    gettext-devel is needed by apache2-2.0.54-10.2
    ncurses-devel is needed by apache2-2.0.54-10.2
    rcs is needed by apache2-2.0.54-10.2
    texinfo is needed by apache2-2.0.54-10.2
    autoconf is needed by apache2-2.0.54-10.2
    automake is needed by apache2-2.0.54-10.2
    cyrus-sasl-devel is needed by apache2-2.0.54-10.2
    openldap2-devel is needed by apache2-2.0.54-10.2
    T1-01:/usr/src/packages/SPECS #

    So I am assuming that I need these rpms...... where do I put them do I need to do anything with them ie install them... build them ect... the current path is above /usr/src/packages/....

    Help me please...... Thanks
     
  2. till

    till Super Moderator Howtoforge Staff HowtoForge Supporter ISPConfig Developer

    Yes, you need the packages listed as failed build dependencies.

    If you have apt installed, then you can install them with apt-get install packagename. On other linux distributions you can use yast, yum or urpmi to install the packages.
     

Share This Page